@import './../colours';
@import './../breakpoints';

// WARNING: Changing these styles will change them for every radio button in every app

// Base style for radio buttons

// Special case
// - Titles i.e. Mrs, Mr, Ms
.responsive-form__title {
    input[type="radio"] {
        &:before, &:after {
            display: none;
        }
    }
    .radiobuttons__content {
        padding: 0 !important;
        span {
            align-self: center !important;
        }   
    }
}

// Special case
// - Large radio buttons on QTB quote page
.radiobuttons__large {
    label {
        height: 225px !important;
        min-width: 250px !important;
    }
    .radiobuttons__content {
        span {
            align-self: center !important;
        }   
    }
}

.radiobuttons__item-button {
    padding-left: 5px;
    padding-right: 5px;
    padding-bottom: 10px;
    input[type="radio"]{
        cursor: pointer;
        appearance: none;
        height: 100%;
        width: 100%;
        position: absolute;
        background-color: $white;
        border: solid 1px $grey;
        border-radius: 4px;
        transition: 0.2s;
    }

    label{
        cursor: pointer;
        display: flex;
        justify-content: center;
        margin: 0;
        position: relative;
        width: 100%;
        height: 56px;
        div {
            display: flex;
            z-index: 1;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }
    }

    input[type="radio"]:hover {
        background-color: $lightgrey;
    }

    input[type="radio"]:checked {
        box-shadow: 1px 1px 3px 2px rgba(224,217,224,0.68);
        background-color: $lightgreen;
        border-color: $green;
        outline: none;
    }

    input[type="radio"]:before{
        content: "";
        height: 20px;
        width: 20px;
        border: 2px solid #e2e6f3;
        border-radius: 50%;
        margin-top: 17px;
        margin-left: 17px;
        position: absolute;
    }

    input[type="radio"]:checked:before{
        border-color: darkgreen;
    }

    input[type="radio"]:after{
        content: "";
        height: 10px;
        width: 10px;
        background-color: #e2e6f3;
        border-radius: 50%;
        margin-top: 22px;
        margin-left: 22px;
        position: absolute;
    }

    input[type="radio"]:checked:after{
        margin-bottom: 19px;
        background-color: darkgreen;
    }



    .radiobuttons__content {
        @include get-font('body-regular');
        color: $low-emphasis;
        padding: 13px 48px;
        user-select: none;
        display: flex;
        align-items: center;
        width: 100%;
        height: 100%;
        
        span {
            pointer-events: none;
            z-index:10;
            align-self: flex-start;
        }
    }
}




